Fast Buy / Sell

This API is used to create multi-chain fast buy and sell tasks

Body Params
string
required

Blockchain (solana/ethereum/base/bsc/tron)

string
required

Address of the token or pair to be bought/sold

string
required

The id of the wallet to be used, which can be obtained via the "Wallet Info API"

string
required

Trade type, with values of buy and sell

boolean
Defaults to false

"true"means both the priority fee (priorityFee) and the bribery tip (jitoTip) fields are valid, and the system will execute the transaction based on the provided values (null indicates automatic priority fee / bribery tip). "false" means that in turbo mode, only the priority fee (priorityFee) is valid, while in anti-MEV, only the bribery tip (jitoTip) is valid, and the system will allocate them automatically

string
required

Priority Fee (SOL), valid for Solana, empty string means use auto priority fee

number
required

Extra added gas (Gwei), valid for EVM

number
required

When the base gas exceeds this value, no transaction will execute (Gwei), valid for EVM chains

boolean
Defaults to false

"true"means enable anti-MEV mode (Solana & Ethereum & Bsc)

number
required

Bribery tip used by Anti-MEV (Solana), required when “jitoEnabled” or “customFeeAndTip” is true (null indicates automatic priority fee / bribery tip)

number
required

MAX slippage tolerance (0.00-1.00), when buying, it represents the difference between the actual price and the expected price. When selling, it represents the difference between the expected price and the actual price, the difference multiplier = 1/(1-slippage), 0.5 means a maximum of 2 times the accepted spread, 1 means unlimited spreads

integer
Defaults to 2

Number of concurrent nodes (1-3)

integer
Defaults to 1

Number of retries after failure (0-10)

number
required

When trade type is buy, fill in the buy amount (ETH/SOL/BNB/TRX), when tradeType is sell, fill in the sell ratio (0-1)

number

Opening sell ratio (0.00-1.00) , which is valid for Solana's Pump / Meteora DBC / LaunchLab (only for SOL trading pairs) and BSC's Fourmeme tokens. A value of 0 means no opening sell task will be created.

number

Trigger ratio (0-1), sell your tokens when Dev sells over this ratio

number

The ratio of your token to be sold when the Dev sell task is triggered, 0 means don't create Dev sell task

number

Take Profit ratio, 0.5 means sell when 50% up, “null” means take profit is disabled

number

Stop Loss ratio (0.00-1.00), 0.5 means sell when 50% down, “null” means stop loss is disabled

stopEarnGroup
array of objects

Take profit group, available when the type is "buy", up to 6 supported, “null” means take profit is disabled, if both "stopEarnGroup" and "stopEarnPercent" are set at the same time, "stopEarnPercent" will be ignored

stopEarnGroup
stopLossGroup
array of objects

Stop loss group, available when the type of fast buy / sell is "buy", and in the sell setting of the copy trading, up to 6 supported, “null” means stop loss is disabled, if both "stopLossGroup" and "stopLossPercent" are set at the same time, "stopLossPercent" will be ignored

stopLossGroup
trailingStopGroup
array of objects

Trailing stop group, available when the type of fast buy / sell is "buy",or the copy sell mode is "mixed" or "only_pnl", currently only supports setting 1 group, “null” means trailing stop is disabled

trailingStopGroup
integer
Defaults to 43200000

The expiry time for take profit/stop loss tasks, max 432000000 (ms)

boolean
Defaults to false

"true"means that if the take profit / stop loss task is not triggered within the validity period, it will be automatically executed at the end of the task

boolean
Defaults to false

"true"means that if the take profit / stop loss task is not triggered within the validity period, it will be automatically set the sell percentage to 100%.

boolean
Defaults to false

"true"enables Anti-Spike mode using the 1-second mid-price as trigger price (not 100% guaranteed)

boolean
Defaults to false

"true"means that the customized parameters will be used to create take profit and stop loss tasks, otherwise the buy parameters will be used

pnlCustomConfig
object

Custom take-profit and stop-loss parameters. Effective only when "pnlCustomConfigEnabled" is set to "true"

Response

Language
Request
Response
Choose an example:
application/json